%global debug_package %{nil}

Summary:        An high-performance C++ math library for dense and sparse arithmetic
Name:           blaze
Version:        3.8
Release:        4%{?dist}
License:        BSD
URL:            https://bitbucket.org/blaze-lib/blaze
Source0:        %{url}/downloads/%{name}-%{version}.tar.gz

BuildRequires: make cmake gcc-c++ >= 4.9
BuildRequires: flexiblas-devel boost-devel

%description 
This package provides an open-source, high-performance C++ math library for dense and sparse 
arithmetic. With its state-of-the-art Smart Expression Template implementation Blaze combines 
the elegance and ease of use of a domain-specific language with HPC-grade performance, making 
it one of the most intuitive and fastest C++ math libraries.


%package devel
Summary:    Development headers for BLAZE
Provides:   blaze-static = %{version}-%{release}

Requires: flexiblas-devel
Requires: boost

%description devel
This package provides an open-source, high-performance C++ math library for dense and sparse 
arithmetic. With its state-of-the-art Smart Expression Template implementation Blaze combines 
the elegance and ease of use of a domain-specific language with HPC-grade performance, making 
it one of the most intuitive and fastest C++ math libraries.

%prep
%autosetup

%build
pushd blaze
%{cmake} -DLIB=%{_lib} -DBLA_VENDOR=FlexiBLAS %{?cmake_opts:%{cmake_opts}} ..
cd %{__cmake_builddir}
%make_build
cd ..
popd

%install
pushd blaze
cd %{__cmake_builddir}
%make_install
cd ..
popd
rm -rf %{_includedir}/%{name}/CMakeFiles/3.12.2
rm -rf %{_includedir}/%{name}/CMakeFiles/FindOpenMP


%files devel
%license LICENSE
%doc INSTALL
%{_includedir}/%{name}
%{_datadir}/%{name}/cmake/*.cmake
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/cmake

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 31 2023 rockerzhu rockerzhu@tencent.com - 3.8-3
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Wang Guodong <gordonwwang@tencent.com> - 3.8-1
- initial build
